org.apache.sysds.lops

## Enum Compression.CompressConfig

- java.lang.Object
- - java.lang.Enum<Compression.CompressConfig>
  - - org.apache.sysds.lops.Compression.CompressConfig

- All Implemented Interfaces:
    Serializable, Comparable<Compression.CompressConfig>
  Enclosing class:
    Compression

      public static enum Compression.CompressConfig
      extends Enum<Compression.CompressConfig>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `COST`
    `FALSE`
    `TRUE`
    `WORKLOAD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isEnabled()`
    `static Compression.CompressConfig` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Compression.CompressConfig[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRUE

          public static final Compression.CompressConfig TRUE

    - #### FALSE

          public static final Compression.CompressConfig FALSE

    - #### COST

          public static final Compression.CompressConfig COST

    - #### AUTO

          public static final Compression.CompressConfig AUTO

    - #### WORKLOAD

          public static final Compression.CompressConfig WORKLOAD

  - ### Method Detail

    - #### values

          public static Compression.CompressConfig[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Compression.CompressConfig c : Compression.CompressConfig.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Compression.CompressConfig valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isEnabled

          public boolean isEnabled()

Copyright © 2021 The Apache Software Foundation. All rights reserved.